# Form implementation generated from reading ui file 'src/eric7/EricWidgets/EricToolBarDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricToolBarDialog(object):
    def setupUi(self, EricToolBarDialog):
        EricToolBarDialog.setObjectName("EricToolBarDialog")
        EricToolBarDialog.resize(600, 500)
        EricToolBarDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(EricToolBarDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.label = QtWidgets.QLabel(parent=EricToolBarDialog)
        self.label.setObjectName("label")
        self.hboxlayout.addWidget(self.label)
        self.toolbarComboBox = QtWidgets.QComboBox(parent=EricToolBarDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.toolbarComboBox.sizePolicy().hasHeightForWidth())
        self.toolbarComboBox.setSizePolicy(sizePolicy)
        self.toolbarComboBox.setObjectName("toolbarComboBox")
        self.hboxlayout.addWidget(self.toolbarComboBox)
        self.newButton = QtWidgets.QPushButton(parent=EricToolBarDialog)
        self.newButton.setObjectName("newButton")
        self.hboxlayout.addWidget(self.newButton)
        self.removeButton = QtWidgets.QPushButton(parent=EricToolBarDialog)
        self.removeButton.setObjectName("removeButton")
        self.hboxlayout.addWidget(self.removeButton)
        self.renameButton = QtWidgets.QPushButton(parent=EricToolBarDialog)
        self.renameButton.setObjectName("renameButton")
        self.hboxlayout.addWidget(self.renameButton)
        self.vboxlayout.addLayout(self.hboxlayout)
        self.line = QtWidgets.QFrame(parent=EricToolBarDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.vboxlayout.addWidget(self.line)
        self.gridlayout = QtWidgets.QGridLayout()
        self.gridlayout.setObjectName("gridlayout")
        self.label_2 = QtWidgets.QLabel(parent=EricToolBarDialog)
        self.label_2.setObjectName("label_2")
        self.gridlayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=EricToolBarDialog)
        self.label_3.setObjectName("label_3")
        self.gridlayout.addWidget(self.label_3, 0, 2, 1, 1)
        self.actionsTree = QtWidgets.QTreeWidget(parent=EricToolBarDialog)
        self.actionsTree.setAlternatingRowColors(True)
        self.actionsTree.setRootIsDecorated(False)
        self.actionsTree.setObjectName("actionsTree")
        self.gridlayout.addWidget(self.actionsTree, 1, 0, 3, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridlayout.addItem(spacerItem, 1, 1, 1, 1)
        self.toolbarActionsList = QtWidgets.QListWidget(parent=EricToolBarDialog)
        self.toolbarActionsList.setObjectName("toolbarActionsList")
        self.gridlayout.addWidget(self.toolbarActionsList, 1, 2, 3, 1)
        self.gridlayout1 = QtWidgets.QGridLayout()
        self.gridlayout1.setSpacing(0)
        self.gridlayout1.setObjectName("gridlayout1")
        self.upButton = QtWidgets.QToolButton(parent=EricToolBarDialog)
        self.upButton.setText("")
        self.upButton.setObjectName("upButton")
        self.gridlayout1.addWidget(self.upButton, 0, 1, 1, 1)
        self.leftButton = QtWidgets.QToolButton(parent=EricToolBarDialog)
        self.leftButton.setText("")
        self.leftButton.setObjectName("leftButton")
        self.gridlayout1.addWidget(self.leftButton, 1, 0, 1, 1)
        self.rightButton = QtWidgets.QToolButton(parent=EricToolBarDialog)
        self.rightButton.setText("")
        self.rightButton.setObjectName("rightButton")
        self.gridlayout1.addWidget(self.rightButton, 1, 2, 1, 1)
        self.downButton = QtWidgets.QToolButton(parent=EricToolBarDialog)
        self.downButton.setText("")
        self.downButton.setObjectName("downButton")
        self.gridlayout1.addWidget(self.downButton, 2, 1, 1, 1)
        self.gridlayout.addLayout(self.gridlayout1, 2, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridlayout.addItem(spacerItem1, 3, 1, 1, 1)
        self.vboxlayout.addLayout(self.gridlayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricToolBarDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Apply|QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok|QtWidgets.QDialogButtonBox.StandardButton.Reset|QtWidgets.QDialogButtonBox.StandardButton.RestoreDefaults)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)
        self.label.setBuddy(self.toolbarComboBox)

        self.retranslateUi(EricToolBarDialog)
        QtCore.QMetaObject.connectSlotsByName(EricToolBarDialog)
        EricToolBarDialog.setTabOrder(self.toolbarComboBox, self.newButton)
        EricToolBarDialog.setTabOrder(self.newButton, self.removeButton)
        EricToolBarDialog.setTabOrder(self.removeButton, self.renameButton)
        EricToolBarDialog.setTabOrder(self.renameButton, self.actionsTree)
        EricToolBarDialog.setTabOrder(self.actionsTree, self.toolbarActionsList)
        EricToolBarDialog.setTabOrder(self.toolbarActionsList, self.upButton)
        EricToolBarDialog.setTabOrder(self.upButton, self.downButton)
        EricToolBarDialog.setTabOrder(self.downButton, self.rightButton)
        EricToolBarDialog.setTabOrder(self.rightButton, self.leftButton)
        EricToolBarDialog.setTabOrder(self.leftButton, self.buttonBox)

    def retranslateUi(self, EricToolBarDialog):
        _translate = QtCore.QCoreApplication.translate
        EricToolBarDialog.setWindowTitle(_translate("EricToolBarDialog", "Configure Toolbars"))
        self.label.setText(_translate("EricToolBarDialog", "&Toolbar:"))
        self.toolbarComboBox.setToolTip(_translate("EricToolBarDialog", "Select the toolbar to configure"))
        self.newButton.setToolTip(_translate("EricToolBarDialog", "Press to create a new toolbar"))
        self.newButton.setText(_translate("EricToolBarDialog", "&New"))
        self.removeButton.setToolTip(_translate("EricToolBarDialog", "Press to remove the selected toolbar"))
        self.removeButton.setText(_translate("EricToolBarDialog", "&Remove"))
        self.renameButton.setToolTip(_translate("EricToolBarDialog", "Press to rename the selected toolbar"))
        self.renameButton.setText(_translate("EricToolBarDialog", "R&ename"))
        self.label_2.setText(_translate("EricToolBarDialog", "Actions:"))
        self.label_3.setText(_translate("EricToolBarDialog", "Current Toolbar Actions:"))
        self.actionsTree.setToolTip(_translate("EricToolBarDialog", "Select the action to add to the current toolbar"))
        self.toolbarActionsList.setToolTip(_translate("EricToolBarDialog", "Select the action to work on"))
        self.toolbarActionsList.setWhatsThis(_translate("EricToolBarDialog", "<b>Current Toolbar Actions</b><p>This list shows the actions of the selected toolbar. Select an action and use the up or down button to change the order of actions or the left button to delete it. To add an action to the toolbar, select it in the list of available actions and press the right button.</p>"))
        self.upButton.setToolTip(_translate("EricToolBarDialog", "Press to move the selected action up."))
        self.leftButton.setToolTip(_translate("EricToolBarDialog", "Press to delete the selected action from the toolbar"))
        self.rightButton.setToolTip(_translate("EricToolBarDialog", "Press to add the selected action to the toolbar"))
        self.downButton.setToolTip(_translate("EricToolBarDialog", "Press to move the selected action down."))
